| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Digikam::PickLabelWidget Class Reference
Inheritance diagram for Digikam::PickLabelWidget:

## Signals
void | signalPickLabelChanged (int)

## Public Member Functions
| PickLabelWidget (QWidget *const parent=nullptr)
QList< PickLabel > | pickLabels () const
| Return the list of Pick Label buttons turned on or an empty list of none.
void | setButtonsExclusive (bool b)
| Set all Color Label buttons exclusive or not.
void | setDescriptionBoxVisible (bool b)
| Show or not on the bottom view the description of label with shortcuts.
void | setPickLabels (const QList< PickLabel > &list)
| Turn on Color Label buttons using list.
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Static Public Member Functions
static QIcon | buildIcon (PickLabel label)
static QString | labelPickName (PickLabel label)

## Protected Member Functions
bool | eventFilter (QObject *obj, QEvent *ev) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Member Function Documentation

## ◆ setButtonsExclusive()

void Digikam::PickLabelWidget::setButtonsExclusive | ( | bool | b | ) |

Default is true as only one can be selected. Non-exclusive mode is dedicated for Advanced Search tool.

## ◆ setPickLabels()

void Digikam::PickLabelWidget::setPickLabels | ( | const QList< PickLabel > & | list | ) |

Pass an empty list to clear all selection.